Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::Shooter Class Reference

An abstract base class used by ModularEmitter to "shoot" the particles after they have been placed. More...

Inheritance diagram for osgParticle::Shooter:

[legend]
List of all members.

## Public Member Functions
| Shooter ()
| Shooter (const Shooter &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual void | shoot (Particle *P) const=0
| Shoot a particle.
## Protected Member Functions
virtual | ~Shooter ()
Shooter & | operator= (const Shooter &)

## Detailed Description

An abstract base class used by ModularEmitter to "shoot" the particles after they have been placed.

Descendants of this class must override the `shoot()` method.

## Constructor & Destructor Documentation

osgParticle::Shooter::Shooter | ( |  | ) | `[inline]`

osgParticle::Shooter::Shooter | ( | const Shooter & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgParticle::Shooter::~Shooter | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osgParticle::Shooter::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual bool osgParticle::Shooter::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

virtual const char* osgParticle::Shooter::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

Shooter& osgParticle::Shooter::operator= | ( | const Shooter & |  | ) | `[inline, protected]`

virtual void osgParticle::Shooter::shoot | ( | Particle * | P | ) | const`[pure virtual]`

| Shoot a particle. Must be overriden by descendants. This method should only set the velocity vector of particle `P`, leaving other attributes unchanged. Implemented in osgParticle::RadialShooter.

The documentation for this class was generated from the following file:

- Shooter